<?php

use Illuminate\Database\Migrations\Migration;
use Illuminate\Database\Schema\Blueprint;
use Illuminate\Support\Facades\Schema;

class Create_tec_makers_table extends Migration
{
    /**
     * Run the migrations.
     * 
     * @return void
     */
    
    public function up()
    {
        Schema::create('tec_makers', function (Blueprint $table) {
            $table->engine = 'InnoDB';
            $table->bigIncrement('id');
            $table->string('maker');
            $table->timestamps();
            $table->softDeletes();
        });
    }

    /**
     * Reverse the migrations.
     * 
     * @return void
     */

    public function down()
    {
        Schema::dropIfExists('tec_makers');
    }
}